<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class SizeAction extends MemberAction
{
    public function run()
    {
        if (isset($_POST['size']))
        {
            $size = S::gp('size', 'P', 2);
            empty($size) || $size < 0 && $this->showMessage('请填写正确的字数');
            
            $this->db()->update(Members::table())->value(array('size'=>$size))->where('uid='.$this->uid())->q();
            
            $message[] = '阅读字数设置成功';
            !empty($_GET['url']) && $message[] = ilink('返回来源地址',urldecode(S::gp('url', 'G')));
            $message[] = '返回'.ilink('书房',url('system',array('s'=>'member'))).'.'.ilink('首页',url('index'));
            $this->showMessage($message);
        }
        
        $iorange = $this->iorange();
        $size = $iorange['user']['size'];
        $this->getController()->render('size',array('size'=>$size));
    }
}